snmp2_getnext
snmp2_set
SNMP Functions
PHP Manual

# snmp2_real_walk

(PHP >= 5.2.0)

snmp2_real_walk — Return all objects including their respective object ID within the specified one

### Description

array snmp2_real_walk ( string `$host` , string `$community` , string `$object_id` [, string `$timeout` = 1000000 [, string `$retries` = 5 ]] )

The snmp2_real_walk() function is used to traverse over a number of SNMP objects starting from `object_id` and return not only their values but also their object ids.

### Parameters

`host`

  The hostname of the SNMP agent (server).

`community`

  The read community.

`object_id`

  The SNMP object id which precedes the wanted one.

`timeout`

  The number of microseconds until the first timeout.

`retries`

  The number of times to retry if timeouts occur.

### Return Values

Returns an associative array of the SNMP object ids and their values on success or `FALSE` on error. In case of an error, an E_WARNING message is shown.

### Examples

Example #1 Using snmp2_real_walk()

`<?php
print_r(snmp2_real_walk("localhost", "public", "IF-MIB::ifName"));
?>`

The above will output something like:

        Array
          (
          [IF-MIB::ifName.1] => STRING: lo
          [IF-MIB::ifName.2] => STRING: eth0
          [IF-MIB::ifName.3] => STRING: eth2
          [IF-MIB::ifName.4] => STRING: sit0
          [IF-MIB::ifName.5] => STRING: sixxs
        )

### See Also

- snmp2_walk() - Fetch all the SNMP objects from an agent

snmp2_getnext
snmp2_set
SNMP Functions
PHP Manual